site_name: Raster DownLoad
site_url:

nav:
    - Accueil: index.md
    - Choix techniques: technical.md
    - Implémentation: implementation.md
    - A propos: about.md

copyright: 'Copyright © 2023 DataGrandEst'



theme:
  name: material
  highlightjs: true
  palette:
    primary: 'blue'
    accent: 'blue'
  language: fr
  features:
    - navigation.tracking
    - navigation.instant
    - navigation.tabs
    # - navigation.tabs.sticky
    # - navigation.sections
    # - navigation.expand
    # - navigation.indexes
    - navigation.top
    - toc.integrate
    - search.suggest
    - search.highlight
  custom_dir: 'docs'
  #favicon: img/favicon.ico
  #logo: img/logo.png
  icon:
    logo: material/file-document
  font:
    text: Arial
    code: Roboto Mono

  plugins:
    - search:
        lang: fr
    # - tags

  extra:
    social:
      - type: 'github'
        link: 'https://github.com/datagrandest'
        icon: fontawesome/brands/github-alt

  markdown_extensions:
  - meta
  - toc:
        permalink: "#"
        baselevel: 1
        separator: "-"
        toc_depth: 2
  - admonition
  - footnotes
  - pymdownx.arithmatex
  - pymdownx.betterem:
      smart_enable: all
  - pymdownx.caret
  - attr_list
  - pymdownx.critic
  - pymdownx.details
  - pymdownx.inlinehilite
  - pymdownx.magiclink
  - pymdownx.mark
  - pymdownx.smartsymbols
  - pymdownx.highlight:
      linenums: true
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_div_format
  - pymdownx.tabbed
  - def_list
  - pymdownx.tasklist:
      custom_checkbox: true
  - pymdownx.tilde
  - pymdownx.emoji:
      emoji_index: !!python/name:materialx.emoji.twemoji
      emoji_generator: !!python/name:materialx.emoji.to_svg
  - pymdownx.snippets
  - pymdownx.progressbar
  - codehilite:
      linenums: true